StringObject Class Reference (Kig Python Scripting API)

| # Kig Python Scripting API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members

Public Member Functions | Static Public Member Functions | List of all members
StringObject Class Reference

This Object is a BogusObject containing only a string value. More...

`#include <bogus_imp.h>`

Inheritance diagram for StringObject:
[legend]
Collaboration diagram for StringObject:
[legend]

## Public Member Functions
| StringObject (const TQString &d)
| Construct a new StringObject containing the string d.
const TQString & | data () const
| Get hold of the contained data.
void | setData (const TQString &s)
| Set the contained data.
StringObject * | copy () const
| Returns a copy of this Object.
const ObjectType * | type () const
| Returns the lowermost ObjectType that this object is an instantiation of.
bool | equals (const Object &rhs) const
| Returns true if this Object is equal to rhs.
Public Member Functions inherited from BogusObject
Coordinate | attachPoint () const
| Returns a reference point where to attach labels; when this returns an invalidCoord then the attachment is either not done at all, or done in a specific way (like for curves, or for points) The treatment of points could also take advantage of this attachment mechanism.
Object * | transform (const Transformation &) const
| Return this Object, transformed by the transformation t.
Public Member Functions inherited from Object
bool | inherits (const ObjectType *t) const
| Returns true if this Object inherits the Object type represented by t.
bool | valid () const
| Returns true if this is a valid Object.

## Static Public Member Functions
static const ObjectType * | stype ()
| Returns the ObjectType representing the StringObject type.
Static Public Member Functions inherited from BogusObject
static const ObjectType * | stype ()
| Returns the ObjectType representing the BogusObject type.
Static Public Member Functions inherited from Object
static const ObjectType * | stype ()
| The ObjectType representing the base Object class.

## Detailed Description

This Object is a BogusObject containing only a string value.

## Member Function Documentation

## ◆ copy()

StringObject * StringObject::copy | ( |  | ) | const
| virtual

Returns a copy of this Object.

The copy is an exact copy. Changes to the copy don't affect the original.

Implements Object.

References StringObject().

## ◆ equals()

bool StringObject::equals | ( | const Object & | rhs | ) | const
| virtual

Returns true if this Object is equal to rhs.

This function checks whether rhs is of the same Object type, and whether it contains the same data as this Object.

Implements Object.

## ◆ stype()

const ObjectType * StringObject::stype | ( |  | ) |
| static

Returns the ObjectType representing the StringObject type.

## ◆ type()

const ObjectType * StringObject::type | ( |  | ) | const
| virtual

Returns the lowermost ObjectType that this object is an instantiation of.

E.g. if you want to get a string containing the internal name of the type of an object, you can do:

tn = object.type().internalName()

Implements Object.

This file is part of the documentation for tdelibs .
Documentation copyright © 1996-2002 the KDE developers.
Generated on by doxygen 1.16.1 written by Dimitri van Heesch, © 1997-2001